### Constructor

# Gio InetSocketAddress new

since: 2.22

#### Declaration

    GSocketAddress*
    g_inet_socket_address_new (
      GInetAddress* address,
      guint16 port
    )

#### Description

Creates a new `GInetSocketAddress` for `address` and `port`.

Available since: 2.22

#### Parameters

`address`

  Type: `GInetAddress`

  A `GInetAddress`.

  The data is owned by the caller of the function.

`port`

  Type: `guint16`

  A port number.

#### Return value

Type: `GSocketAddress`

A new `GInetSocketAddress`.

The caller of the function takes ownership of the data, and is responsible for freeing it.